package chart_permission_chapter_mapping

type ChartPermissionChapterMapping struct {
	ID                   int  `gorm:"primaryKey;column:id;type:int(11) unsigned;not null" json:"-"`
	ChartPermissionId    int  `gorm:"column:chart_permission_id;type:int(11)" json:"chart_permission_id"`
	ReportChapterTypeId  int  `gorm:"column:report_chapter_type_id;type:int(11)" json:"report_chapter_type_id"`
	ResearchType         string `gorm:"column:research_type;type:varchar(100)" json:"research_type"`
}


func (r *ChartPermissionChapterMapping) TableName() string {
	return "chart_permission_chapter_mapping"
}